Retrieve a Customer
curl --request GET \
--url https://api-sandbox.pavewaygroup.com/v1/customers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.pavewaygroup.com/v1/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.pavewaygroup.com/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status_code": 200,
"response_type": "success",
"data": {
"id": "658dc...",
"firstname": "John",
"lastname": "Doe",
"email": "[email protected]",
"phone": "237612345678",
"balance": 0,
"active": true,
"created_at": 1704873600,
"billing": [
{
"name": "John Doe",
"email": "[email protected]",
"phone": "237612345678",
"address": {
"line1": "123 Main St",
"city": "Douala",
"country": "CM"
}
}
]
}
}
Customers
Retrieve a Customer
Retrieve detailed information about a specific customer.
GET
/
customers
/
{id}
Retrieve a Customer
Retrieves the details of an existing customer. You only need to supply the unique customer identifier that was returned upon customer creation.
Authentication
Include your Secret Key in theAuthorization header as a Bearer token.
Path Parameters
The unique identifier of the customer to retrieve.
Response
Returns a customer object if a valid identifier was provided.{
"status_code": 200,
"response_type": "success",
"data": {
"id": "658dc...",
"firstname": "John",
"lastname": "Doe",
"email": "[email protected]",
"phone": "237612345678",
"balance": 0,
"active": true,
"created_at": 1704873600,
"billing": [
{
"name": "John Doe",
"email": "[email protected]",
"phone": "237612345678",
"address": {
"line1": "123 Main St",
"city": "Douala",
"country": "CM"
}
}
]
}
}
⌘I

